--[[
	Title: Defines

	Defines some things needed by ULib
]]


--[[
	Variable: ULIB_VERSION

	ULib version identifier. 
	This variable will always be a number value and will always increase with new releases.

	If you would like to make sure that a current version of ULib is being used, you could use this code --
	:assert( ULIB_VERSION, "You must have ULib to run this script!" )
	:assert( ULIB_VERSION >= 0.5, "You must be running ULib version 0.5 or higher to use this script!" )
	If your script executes and the first parameter of assert is false, it will stop executing and print the error in the second argument.
	Of course, you'd want to make your own error message and replace 0.5 with your version of choice.
]]
ULib.ULIB_VERSION = 0.9


--[[
	Variable: DEBUG_MODE

	Determines which debug and error messages to be shown. Recommended you keep this set to 1.

	Possible Values:
	0 - Off, no debug messages.
	1 - Only show errors.
	2 - Full debug mode.
]]
ULib.DEBUG_LEVEL = 1

ULib.ERR = 1
ULib.DEBUG = 2


--[[
	Variable: SPACE_METHOD
	
	The spacing method used in saving files, used to show structure.
	
	See Also:

		<serialize()>
]]
ULib.SPACE_METHOD = "\t"


--[[
	Variable: NEWLINE

	The format of newlines for ULib to use. Defaults to '\n' on linux and '\r\n' on windows.
]]
if _IsLinux() then
	ULib.NEWLINE = "\n"
else
	ULib.NEWLINE = "\r\n"
end


--[[
	Variable: LOG

	If false, ULib will not write anything to the log.
]]
ULib.LOG = true


--[[
	Variable: LOG_FILE

	The file to save log messages to.
]]
ULib.LOG_FILE = "lua/ULib/log.txt"