--[[
	Title: ULib init

	Opens everything needed by ULib. It handles multiple loadings itself, 
	so you do not need to worry about it.
]]

--- If we haven't already loaded ULib, load it!
if not ULib then
--[[
	Table: ULib

	Contains ULib. Everything in ULib is within this table, and should be used with "ULib." infront of it.
]]
	ULib = {}
	local DoNotLoadFile = {}
	ULib_excludeFile = function ( filename )
		DoNotLoadFile[filename] = true
	end
	
	ULib_excludeFile("init.lua") -- This will prevent an infinite loop, do not remove this from the list
	
	--- ALL FILES NOT TO BE LOADED IN THE ULIB FOLDER SHOULD BE PLACED BELOW!
		-- ULib_excludeFile( "color.lua" ) -- Don't load color.lua

	--- DO NOT EDIT BELOW!

	ULib_excludeFile = null
--[[
	Table: files

	Contains a list of files that are loaded by ULib
]]
	ULib.files = _file.Find( "lua/ULib/*.lua" )
	_Msg( "///////////////////////////////\n" )
	_Msg( "//      Ulysses Library      //\n" )
	_Msg( "///////////////////////////////\n" )
	_Msg( "// Loading...                //\n" )
	for k, v in ULib.files do
		local spaces = ""
		for i = 1, ( 24 - string.len( v ) ) do
			spaces = spaces .. " "
		end
		if not ( DoNotLoadFile[v] ) then
			_Msg( "//   " .. v .. spaces .. "//\n" )
			_OpenScript( "ULib/" .. v )
		end
	end

	_Msg( "// Load Complete!            //\n" )
	_Msg( "///////////////////////////////\n" )
	setmetatable( ULib, ULib )
end